<?php


require_once(plugin_dir_path(__FILE__) . 'xwp.php');

class CommentManager {

    // Properties

    //constructor
    public function __construct() {
        
    }

    public function register_apis() {
        global $_xwp;
        $_xwp->register_route('add-comment', array($this,'add_comment'));
        $_xwp->register_route('get-comments', array($this,"get_comments"));
        $_xwp->register_route('delete-comment', array($this,"delete_comment"));
        $_xwp->register_route('update-comment', array($this,"update_comment"));
    }


    public function add_comment(WP_REST_Request $request) {
       

    }

    public function get_comments(WP_REST_Request $request) {

        //write to file
        

        $post_id = $request->get_param('_post_id');
        $args = array(
      
            'post_id' => $post_id
        );

   

        $comments = get_comments($args);//$query->comments;

        return new WP_REST_Response($comments, 200);
        
    }

    public function delete_comment(WP_REST_Request $request) {
        $comment_id = $request->get_param('_comment_id');
        $force_delete = $request->get_param('_force_delete');
        wp_delete_comment( $comment_id, $force_delete );

        return new WP_REST_Response($comment, 200);

        
    }

    public function update_comment(WP_REST_Request $request) {
        $comment_id = $request->get_param('_comment_id');
        $comment_content = $request->get_param('_comment_content');
        $comment_status = $request->get_param('_comment_status');

  
        $commentarr = [
            'comment_ID'      => $comment_id,
            'comment_content' => $comment_content,
            'comment_approved' => $comment_status 

        ];
  
   
        wp_update_comment($commentarr);
        $res = array(
            'comment_id' => $comment_id,
            'comment_content' => $comment_content,
            'comment_status' => $comment_status
        );
        return new WP_REST_Response($res, 200);
        
    }
}
 
?>
